package public

import (
	"time"
	"math/rand"
)


//
//
// time func
//

// 获取当前时间戳
func NowTimestamp() int64 {
	return time.Now().Unix()
}
// 将时间戳解析成字符串
func UnixTimeParse(t *int64) string {
	return time.Unix(*t,0).String()
}
// 获取 字符串格式化 时间
func GetStrTime() string{
	return time.Now().String()
}
// 输出当前小时
func GetHour() int{
	return time.Now().Hour()
}


//
//
// other  func
//

// 输出 随机数
func Rand(i * int)int{
	rand.Seed(time.Now().UnixNano())
	return rand.Intn(*i)
}
// 程序挂起 i 秒
func Delay(i int){
	PntInfo("Delay ",i)
	time.Sleep(time.Duration(i) * time.Second)
}
// 随机挂起 x 秒
func RandDelay(i int){
	ri := Rand(&i)
	PntInfo("RandDelay ",ri)
	time.Sleep(time.Duration(ri) * time.Second)
}
